		.length 78
		.width  132
***************************************************************
* BOOT v4.30  - C startup routine
* Copyright (c) 1991 Texas Instruments Incorporated
***************************************************************
*
* This is the initial boot routine for TMS320C30/C40 C Programs.
* It must be linked and loaded with all C programs.  The
* entry point for C programs is called "_c_int00", defined
* in this module.
*
* This module performs the following actions:
*    1) Allocate and initialize the system stack
*    2) Perform auto-initialization
*    3) Call the function _main to start the user's program
***************************************************************
FP          .set  AR3             ;frame pointer

			.global cinit, .bss, _main, _exit
			.global _c_int00
		.global __stack
		.global int_table
;
; Define a section for the system stack.
; Initialize the first words in .text to point to the stack
; and initialization tables.
;
__stack     .usect  ".stack",0   ;size set by linker
			.text

***************************************************************
* _C_INT00 - C entry point function
***************************************************************
_c_int00:
;
; Set up the initial stack pointer
;
		LDI     0,ST              ;clear status
		LDP     stack_addr        ;get page of stored address
		LDI     @stack_addr,SP    ;load the address into SP
		LDI     SP,FP             ;and into FP too
;
; Do autoinitialization
;
		LDP     init_addr         ;get page of stored address
		LDI     @init_addr,AR0    ;get address of init tables
		CMPI    -1,AR0            ;if RAM model, skip init
		BEQ     done
		LDI     *AR0++,R0         ;get first count
		BZD     done              ;if 0, nothing to do
		LDI     R0,RC
		LDI     *AR0++,AR1        ;get dest address
		LDI     *AR0++,R0         ;get first word
do_init:
		SUBI    1,RC              ;count - 1
		RPTB    init              ;block copy
init:   STI     R0,*AR1++
	 || LDI     *AR0++,R0
		CMPI    0,R0              ;more?
		BNZD    do_init           ;if there is more, repeat
		LDI     R0,RC             ;move next count into RC
		LDI     *AR0++,AR1        ;get next dest address
		LDI     *AR0++,R0         ;get next first word
done:
;
; For the small model, set up the DP to point to the .bss section
;
		LDP     .bss
;
; We now have to set up the interrupt tables so that they are used correctly
;
		ldi @int_table, ar0     ; load the address
		ldpe ar0, ivtp          ; load the vector address
;		ldi @iif_data, r0       ; load the data
;		ldi r0, iif             ; store the data
;		ldi st, r0              ; get the status register
;		or  2000h, r0           ; set the interrupt bit
;       and 0fbffh, r0          ; enable the cache
;		ldi r0, st              ; set them running

;
; Call main()
;
		CALL    _main
		CALL    _exit
		RETI

stack_addr  .word  __stack        ;address of stack
init_addr   .word  cinit          ;address of init tables
iif_data    .word  00000dd0h

		.end
