; JTAG init script for an SMT208A C40 board
; ************************************************************************
; History
; Version	Comments
; 2.2		Initial Release
; 2.2.1		Correction to misleading comment for alias stim1c.a
; 07-Jun-96 SEC Taken from 'init.cmd'
; ************************************************************************

alias myreset, "reset;sbcr;stimers;dasm pc"
;
alias sbcr,  "slbcr;sgbcr"		;set bus control registers
alias slbcr, "e *0x100004=0x3D4A5050"	;set local bus control reg
alias sgbcr, "e *0x100000=0x30478010"	;set global bus control reg
;
alias stimers, "stim0c;stim1c;stim0p;stim1p"   ;set timer control registers
;
alias stim0c, "e *0x100020=0xC00002C6"  ;set timer0 control register
alias stim1c, "e *0x100030=0xC00002C1"  ;set timer1 control register
alias stim0p, "e *0x100028=0x3A98"	;set timer0 for 1mS
alias stim1p, "e *0x100038=0x03A9"      ;set timer1 for EDRAM rfsh 62.5uS
;
mr
ma      0x00000000,0x00001000,rom	;Internal ROM
ma      0x002ff800,0x00000400,ram	;INTERNAL BLK 0
ma      0x002ffc00,0x00000400,ram	;INTERNAL BLK 1
ma      0x00300000,0x00040000,ram	;256KW = 1MB of local SRAM
ma	0x80000000,0x00020000,ram	;128KW = 512KB of global SRAM
ma      0x80020000,0x00100000,ram	;1MW = 4MB of global EDRAM
ma      0x00100000,1,ram                ;local port control
ma      0x00100004,1,ram                ;global port control
ma      0x00100020,9, ram               ;Timer 0
ma      0x00100030,9, ram               ;Timer 1
ma     0x00100040,3, ram                ;comm port 0
ma     0x00100050,3, ram                ;comm port 1
ma     0x00100060,3, ram                ;comm port 2
ma     0x00100070,3, ram                ;comm port 3
ma     0x00100080,3, ram                ;comm port 4
ma     0x00100090,3, ram                ;comm port 5
ma      0x001000A0,9, ram               ;DMA 0
ma      0x001000B0,9, ram               ;DMA 1
ma      0x001000C0,9, ram               ;DMA 2
ma      0x001000D0,9, ram               ;DMA 3
ma      0x001000E0,9, ram               ;DMA 4
ma      0x001000F0,9, ram               ;DMA 5
ma	0x40000000,0x010,ram		;C011 link adaptors
ma	0x40000010,0x004,ram		;Idsel0 I/O ports (D0 only)
ma	0x40000014,0x004,ram		;Idsel1 Subsystem (D0 only)
ma	0x40000018,0x004,ram		;Rdint C011 interrupts (D0-D7)
myreset



